Bug 267300 - queries in URL not recognized
Summary: queries in URL not recognized
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: info (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matthias Hoelzer-Kluepfel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-28 13:11 UTC by Christopher Yeleighton
Modified: 2011-06-04 03:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.6.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2011-02-28 13:11:04 UTC
Version:           unspecified (using KDE 4.6.0) 
OS:                Linux

The info generator automatically recognizes and activates absolute URL detected in the text.  However, the query part is not recognized (dropped), which leads to broken references.

Reproducible: Always

Steps to Reproduce:
  1. Tell KHelpCenter to display info:/find/Introduction.
  2. Follow the hyperlink.

Actual Results:  
  1. http://savannah.gnu.org/bugs/?group=findutils
  2. http://savannah.gnu.org/bugs/

Expected Results:  
  2. http://savannah.gnu.org/bugs/?group=findutils

OS: Linux (x86_64) release 2.6.34.7-0.7-desktop
Compiler: gcc
Comment 1 Dawit Alemayehu 2011-06-04 03:19:36 UTC
Git commit 94d399a5dc6a1900788882a9a2395ac4304bd3ba by Dawit Alemayehu.
Committed on 04/06/2011 at 03:17.
Pushed by adawit into branch 'KDE/4.6'.

Make sure links with ? and = and % in them are rendered correctly.

BUG: 267300
FIXED-IN: 4.6.5

M  +1    -1    kioslave/info/kde-info2html     

http://commits.kde.org/kde-runtime/94d399a5dc6a1900788882a9a2395ac4304bd3ba
Comment 2 Dawit Alemayehu 2011-06-04 03:20:13 UTC
Git commit 44dfd371e8e363c98a68cd6bf69c357c919d666b by Dawit Alemayehu.
Committed on 04/06/2011 at 03:17.
Pushed by adawit into branch 'master'.

Make sure links with ? and = and % in them are rendered correctly.

BUG: 267300
FIXED-IN: 4.6.5

(cherry picked from commit 94d399a5dc6a1900788882a9a2395ac4304bd3ba)

M  +1    -1    kioslave/info/kde-info2html     

http://commits.kde.org/kde-runtime/44dfd371e8e363c98a68cd6bf69c357c919d666b